## ОпцииПоиска

### ПриСозданииОбъекта

```bsl

Процедура ПриСозданииОбъекта() 
```

### Отборы

```bsl
// Получить список отборов для выполнения поиска.
//
// Возвращаемое значение:
//   ФиксированныйМассив из ЭлементОтбора
//
Функция Отборы() 
```

### Отбор

```bsl
// Добавить отбор для выполнения поиска.
//
// Параметры:
//   Поле - Строка - Имя поля для отбора.
//   ВидСравнения - ВидСравнения - Вид сравнения.
//   Значение - Произвольный - Значение для сравнения.
//
// Возвращаемое значение:
//   ОпцииПоиска - Текущий объект.
//
Функция Отбор(Поле, ВидСравнения, Значение) 
```

### Сортировки

```bsl
// Получить список сортировок для выполнения поиска.
//
// Возвращаемое значение:
//   ФиксированныйМассив из ЭлементПорядка
//
Функция Сортировки() 
```

### СортироватьПо

```bsl
// Добавить сортировку для выполнения поиска.
//
// Параметры:
//   ИмяПоля - Строка - Имя поля для сортировки.
//   НаправлениеСортировки - НаправлениеСортировки - Направление сортировки.
//
// Возвращаемое значение:
//   ОпцииПоиска - Текущий объект.
//
Функция СортироватьПо(ИмяПоля, НаправлениеСортировки = Неопределено) 
```

### ВыбираютсяПервые

```bsl
// Получить количество элементов, которые необходимо выбрать.
//
// Возвращаемое значение:
//   Число - Количество элементов.
//
Функция ВыбираютсяПервые() 
```

### Первые

```bsl
// Выбрать первые n элементов.
//
// Параметры:
//   КоличествоЭлементов - Число - Количество элементов.
//
// Возвращаемое значение:
//   ОпцииПоиска - Текущий объект.
//
Функция Первые(КоличествоЭлементов) 
```

### ВыбираетсяСоСмещением

```bsl
// Получить количество элементов, которые необходимо пропустить.
//
// Возвращаемое значение:
//   Число - Количество элементов.
//
Функция ВыбираетсяСоСмещением() 
```

### Смещение

```bsl
// Сместить выборку на n элементов.
//
// Параметры:
//   КоличествоЭлементов - Число - Количество элементов.
//
// Возвращаемое значение:
//   ОпцииПоиска - Текущий объект.
//
Функция Смещение(КоличествоЭлементов) 
```

